> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve metric values

> Retrieve metric values. Required Permissions: `UpdateMonitoringSettings`



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/metricValues/v1/{modelMonitoringId}/{metric}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/metricValues/v1/{modelMonitoringId}/{metric}:
    get:
      tags:
        - CustomMetrics
      summary: Retrieve metric values
      description: 'Retrieve metric values. Required Permissions: `UpdateMonitoringSettings`'
      operationId: retrieveMetricValues
      parameters:
        - description: ID of the monitored model
          in: path
          name: modelMonitoringId
          required: true
          schema:
            type: string
        - description: Name of the metric to retrieve
          in: path
          name: metric
          required: true
          schema:
            type: string
        - description: >-
            Timestamp to filter metrics by referenceTimestamp >=
            startingReferenceTimestampInclusive. Timestamp should follow the
            RFC3339 format with timezone e.g. 2013-07-01T17:55:13-07:00
          in: query
          name: startingReferenceTimestampInclusive
          required: true
          schema:
            type: string
        - description: >-
            Timestamp to filter metrics by referenceTimestamp <=
            endingReferenceTimestampInclusive. Timestamp should follow the
            RFC3339 format with timezone e.g. 2013-07-01T17:55:13-07:00
          in: query
          name: endingReferenceTimestampInclusive
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricValuesEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    MetricValuesEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        metricValues:
          items:
            $ref: '#/components/schemas/MetricValueV1'
          type: array
      required:
        - metricValues
        - metadata
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    MetricValueV1:
      properties:
        referenceTimestamp:
          description: Timestamp associated with the metric log entry
          type: string
        tags:
          description: List of tags associated with the metric
          items:
            $ref: '#/components/schemas/MetricTagV1'
          type: array
        value:
          description: Value of the metric
          type: number
      required:
        - value
        - referenceTimestamp
        - tags
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    MetricTagV1:
      properties:
        key:
          description: Key for the metric tag
          type: string
        value:
          description: Value for the metric tag
          type: string
      required:
        - key
        - value
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````